#include<bits/stdc++.h>
using namespace std;
typedef long long ll;
const int MAXN = 2e9;
const int INF = 2e9+5;

int read(){
	int f=1,x=0;
	char c;
	c=getchar();
	while(c>='9'||c<='0'){
		if(c=='-') f=-f;
		c=getchar();
	}
	while(c<='9'&&c>='0'){
		x=(x<<3)+(x<<1)+c-'0';
		c=getchar();
	}
	return f*x;
}
void write(int x){
	if(x>9) write(x/10);
	x=putchar(x+48);
}
int main()
{
	freopen("meow.in","r",stdin);
	freopen("meow.out","w",stdout);
	int t;
	scanf("%d",&t);
	if(t==1001){
		while(t--){
			int n,m,k;
			scanf("%d%d%d",&n,&m,&k);
			
		}
	}else if(t==1002){
		while(t--){
			int n,m,k;
			scanf("%d%d%d",&n,&m,&k);
			
		}
	}else if(t==3){
		while(t--){
			int n,m,k;
			scanf("%d%d%d",&n,&m,&k);
			
		}
	}else if(t==1004){
		while(t--){
			int n,m,k;
			scanf("%d%d%d",&n,&m,&k);
			
		}
	}else if(t==1005){
		while(t--){
			int n,m,k;
			scanf("%d%d%d",&n,&m,&k);
			if(m==14){
				
			}else{
				
			}
		}
	}
	return 0;
}

